Bug 1466441 - ns-slapd: ../../../include/k5-thread.h:384: k5_mutex_lock: Assertion `r == 0' failed. [NEEDINFO]
ns-slapd: ../../../include/k5-thread.h:384: k5_mutex_lock: Assertion `r == 0'...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: krb5 (Show other bugs)
7.3
All Linux
unspecified Severity high
: rc
: ---
Assigned To: Robbie Harwood
BaseOS QE Security Team
:
: 1478619 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-29 11:32 EDT by Orion Poplawski
Modified: 2017-11-23 20:46 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rharwood: needinfo? (jvilicic)


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2017-06-29 11:32:43 EDT
Description of problem:

This morning ns-slapd crashed with:

Jun 29 08:58:28 europa ns-slapd: ns-slapd: ../../../include/k5-thread.h:384: k5_mutex_lock: Assertion `r == 0' failed.

Version-Release number of selected component (if applicable):
389-ds-base-1.3.5.10-21.el7_3.x86_64

How reproducible:
Just once so far
Comment 2 Orion Poplawski 2017-06-29 11:36:38 EDT
Also, I think /usr/lib/systemd/system/dirsrv@.service would benefit from the addition of:

Restart=on-failure

or similar.
Comment 3 wibrown@redhat.com 2017-06-29 23:03:59 EDT
Hi,

That crash is in mit krb, not directory server. I'm going to re-assign the problem to them.

Additionally, we have talking about restart on-failure, and we have chosen not to use it due to concerns about systemd and issues like this. 

Thanks,
Comment 4 Orion Poplawski 2017-06-30 11:07:00 EDT
Happened again last evening:

Jun 29 17:26:25 europa ns-slapd: ns-slapd: ../../../include/k5-thread.h:384: k5_mutex_lock: Assertion `r == 0' failed.

Seems like restart on-failure would have at least got my ldap server back up and running instead of being down all evening.  I'll add it to /etc/sysconfig/dirsrv.systemd and see if it helps.

Recent changes:
Jun 29 04:21 kernel 3.10.0-514.26.1.el7
Jun 20 03:49:59 Updated: glibc.x86_64 2.17-157.el7_3.4
Comment 5 Orion Poplawski 2017-06-30 11:20:01 EDT
Looks like the trigger was the clock being ~281 seconds off.
Comment 6 Robbie Harwood 2017-06-30 11:41:05 EDT
k5_mutex_lock is a a very thin wrapper around pthread_mutex_lock that calls assert() if the latter returns nonzero.  Please 1) update to rhel-7.4 and then 2) provide me a full backtrace (coredump is preferred, but I understand if you don't want to give me that).
Comment 11 Robbie Harwood 2017-09-22 10:46:51 EDT
*** Bug 1478619 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.